/*
 * Copyright 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_103
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.material3.internal.defaultPlatformTextStyle
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.style.LineHeightStyle

internal object TypographyTokens {
    val BodyLarge =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.BodyLargeFont,
            fontWeight = TypeScaleTokens.BodyLargeWeight,
            fontSize = TypeScaleTokens.BodyLargeSize,
            lineHeight = TypeScaleTokens.BodyLargeLineHeight,
            letterSpacing = TypeScaleTokens.BodyLargeTracking,
        )
    val BodyMedium =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.BodyMediumFont,
            fontWeight = TypeScaleTokens.BodyMediumWeight,
            fontSize = TypeScaleTokens.BodyMediumSize,
            lineHeight = TypeScaleTokens.BodyMediumLineHeight,
            letterSpacing = TypeScaleTokens.BodyMediumTracking,
        )
    val BodySmall =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.BodySmallFont,
            fontWeight = TypeScaleTokens.BodySmallWeight,
            fontSize = TypeScaleTokens.BodySmallSize,
            lineHeight = TypeScaleTokens.BodySmallLineHeight,
            letterSpacing = TypeScaleTokens.BodySmallTracking,
        )
    val DisplayLarge =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.DisplayLargeFont,
            fontWeight = TypeScaleTokens.DisplayLargeWeight,
            fontSize = TypeScaleTokens.DisplayLargeSize,
            lineHeight = TypeScaleTokens.DisplayLargeLineHeight,
            letterSpacing = TypeScaleTokens.DisplayLargeTracking,
        )
    val DisplayMedium =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.DisplayMediumFont,
            fontWeight = TypeScaleTokens.DisplayMediumWeight,
            fontSize = TypeScaleTokens.DisplayMediumSize,
            lineHeight = TypeScaleTokens.DisplayMediumLineHeight,
            letterSpacing = TypeScaleTokens.DisplayMediumTracking,
        )
    val DisplaySmall =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.DisplaySmallFont,
            fontWeight = TypeScaleTokens.DisplaySmallWeight,
            fontSize = TypeScaleTokens.DisplaySmallSize,
            lineHeight = TypeScaleTokens.DisplaySmallLineHeight,
            letterSpacing = TypeScaleTokens.DisplaySmallTracking,
        )
    val HeadlineLarge =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.HeadlineLargeFont,
            fontWeight = TypeScaleTokens.HeadlineLargeWeight,
            fontSize = TypeScaleTokens.HeadlineLargeSize,
            lineHeight = TypeScaleTokens.HeadlineLargeLineHeight,
            letterSpacing = TypeScaleTokens.HeadlineLargeTracking,
        )
    val HeadlineMedium =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.HeadlineMediumFont,
            fontWeight = TypeScaleTokens.HeadlineMediumWeight,
            fontSize = TypeScaleTokens.HeadlineMediumSize,
            lineHeight = TypeScaleTokens.HeadlineMediumLineHeight,
            letterSpacing = TypeScaleTokens.HeadlineMediumTracking,
        )
    val HeadlineSmall =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.HeadlineSmallFont,
            fontWeight = TypeScaleTokens.HeadlineSmallWeight,
            fontSize = TypeScaleTokens.HeadlineSmallSize,
            lineHeight = TypeScaleTokens.HeadlineSmallLineHeight,
            letterSpacing = TypeScaleTokens.HeadlineSmallTracking,
        )
    val LabelLarge =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.LabelLargeFont,
            fontWeight = TypeScaleTokens.LabelLargeWeight,
            fontSize = TypeScaleTokens.LabelLargeSize,
            lineHeight = TypeScaleTokens.LabelLargeLineHeight,
            letterSpacing = TypeScaleTokens.LabelLargeTracking,
        )
    val LabelMedium =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.LabelMediumFont,
            fontWeight = TypeScaleTokens.LabelMediumWeight,
            fontSize = TypeScaleTokens.LabelMediumSize,
            lineHeight = TypeScaleTokens.LabelMediumLineHeight,
            letterSpacing = TypeScaleTokens.LabelMediumTracking,
        )
    val LabelSmall =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.LabelSmallFont,
            fontWeight = TypeScaleTokens.LabelSmallWeight,
            fontSize = TypeScaleTokens.LabelSmallSize,
            lineHeight = TypeScaleTokens.LabelSmallLineHeight,
            letterSpacing = TypeScaleTokens.LabelSmallTracking,
        )
    val TitleLarge =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.TitleLargeFont,
            fontWeight = TypeScaleTokens.TitleLargeWeight,
            fontSize = TypeScaleTokens.TitleLargeSize,
            lineHeight = TypeScaleTokens.TitleLargeLineHeight,
            letterSpacing = TypeScaleTokens.TitleLargeTracking,
        )
    val TitleMedium =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.TitleMediumFont,
            fontWeight = TypeScaleTokens.TitleMediumWeight,
            fontSize = TypeScaleTokens.TitleMediumSize,
            lineHeight = TypeScaleTokens.TitleMediumLineHeight,
            letterSpacing = TypeScaleTokens.TitleMediumTracking,
        )
    val TitleSmall =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.TitleSmallFont,
            fontWeight = TypeScaleTokens.TitleSmallWeight,
            fontSize = TypeScaleTokens.TitleSmallSize,
            lineHeight = TypeScaleTokens.TitleSmallLineHeight,
            letterSpacing = TypeScaleTokens.TitleSmallTracking,
        )
    // TODO update with the generated tokens once available
    val BodyLargeEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.BodyLargeEmphasizedFont,
            fontWeight = TypeScaleTokens.BodyLargeEmphasizedWeight,
            fontSize = TypeScaleTokens.BodyLargeEmphasizedSize,
            lineHeight = TypeScaleTokens.BodyLargeEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.BodyLargeEmphasizedTracking,
        )
    val BodyMediumEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.BodyMediumEmphasizedFont,
            fontWeight = TypeScaleTokens.BodyMediumEmphasizedWeight,
            fontSize = TypeScaleTokens.BodyMediumEmphasizedSize,
            lineHeight = TypeScaleTokens.BodyMediumEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.BodyMediumEmphasizedTracking,
        )
    val BodySmallEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.BodySmallEmphasizedFont,
            fontWeight = TypeScaleTokens.BodySmallEmphasizedWeight,
            fontSize = TypeScaleTokens.BodySmallEmphasizedSize,
            lineHeight = TypeScaleTokens.BodySmallEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.BodySmallEmphasizedTracking,
        )
    val DisplayLargeEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.DisplayLargeEmphasizedFont,
            fontWeight = TypeScaleTokens.DisplayLargeEmphasizedWeight,
            fontSize = TypeScaleTokens.DisplayLargeEmphasizedSize,
            lineHeight = TypeScaleTokens.DisplayLargeEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.DisplayLargeEmphasizedTracking,
        )
    val DisplayMediumEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.DisplayMediumEmphasizedFont,
            fontWeight = TypeScaleTokens.DisplayMediumEmphasizedWeight,
            fontSize = TypeScaleTokens.DisplayMediumEmphasizedSize,
            lineHeight = TypeScaleTokens.DisplayMediumEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.DisplayMediumEmphasizedTracking,
        )
    val DisplaySmallEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.DisplaySmallEmphasizedFont,
            fontWeight = TypeScaleTokens.DisplaySmallEmphasizedWeight,
            fontSize = TypeScaleTokens.DisplaySmallEmphasizedSize,
            lineHeight = TypeScaleTokens.DisplaySmallEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.DisplaySmallEmphasizedTracking,
        )
    val HeadlineLargeEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.HeadlineLargeEmphasizedFont,
            fontWeight = TypeScaleTokens.HeadlineLargeEmphasizedWeight,
            fontSize = TypeScaleTokens.HeadlineLargeEmphasizedSize,
            lineHeight = TypeScaleTokens.HeadlineLargeEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.HeadlineLargeEmphasizedTracking,
        )
    val HeadlineMediumEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.HeadlineMediumEmphasizedFont,
            fontWeight = TypeScaleTokens.HeadlineMediumEmphasizedWeight,
            fontSize = TypeScaleTokens.HeadlineMediumEmphasizedSize,
            lineHeight = TypeScaleTokens.HeadlineMediumEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.HeadlineMediumEmphasizedTracking,
        )
    val HeadlineSmallEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.HeadlineSmallEmphasizedFont,
            fontWeight = TypeScaleTokens.HeadlineSmallEmphasizedWeight,
            fontSize = TypeScaleTokens.HeadlineSmallEmphasizedSize,
            lineHeight = TypeScaleTokens.HeadlineSmallEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.HeadlineSmallEmphasizedTracking,
        )
    val LabelLargeEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.LabelLargeEmphasizedFont,
            fontWeight = TypeScaleTokens.LabelLargeEmphasizedWeight,
            fontSize = TypeScaleTokens.LabelLargeEmphasizedSize,
            lineHeight = TypeScaleTokens.LabelLargeEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.LabelLargeEmphasizedTracking,
        )
    val LabelMediumEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.LabelMediumEmphasizedFont,
            fontWeight = TypeScaleTokens.LabelMediumEmphasizedWeight,
            fontSize = TypeScaleTokens.LabelMediumEmphasizedSize,
            lineHeight = TypeScaleTokens.LabelMediumEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.LabelMediumEmphasizedTracking,
        )
    val LabelSmallEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.LabelSmallEmphasizedFont,
            fontWeight = TypeScaleTokens.LabelSmallEmphasizedWeight,
            fontSize = TypeScaleTokens.LabelSmallEmphasizedSize,
            lineHeight = TypeScaleTokens.LabelSmallEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.LabelSmallEmphasizedTracking,
        )
    val TitleLargeEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.TitleLargeEmphasizedFont,
            fontWeight = TypeScaleTokens.TitleLargeEmphasizedWeight,
            fontSize = TypeScaleTokens.TitleLargeEmphasizedSize,
            lineHeight = TypeScaleTokens.TitleLargeEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.TitleLargeEmphasizedTracking,
        )
    val TitleMediumEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.TitleMediumEmphasizedFont,
            fontWeight = TypeScaleTokens.TitleMediumEmphasizedWeight,
            fontSize = TypeScaleTokens.TitleMediumEmphasizedSize,
            lineHeight = TypeScaleTokens.TitleMediumEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.TitleMediumEmphasizedTracking,
        )
    val TitleSmallEmphasized =
        DefaultTextStyle.copy(
            fontFamily = TypeScaleTokens.TitleSmallEmphasizedFont,
            fontWeight = TypeScaleTokens.TitleSmallEmphasizedWeight,
            fontSize = TypeScaleTokens.TitleSmallEmphasizedSize,
            lineHeight = TypeScaleTokens.TitleSmallEmphasizedLineHeight,
            letterSpacing = TypeScaleTokens.TitleSmallEmphasizedTracking,
        )
}

internal val DefaultLineHeightStyle =
    LineHeightStyle(alignment = LineHeightStyle.Alignment.Center, trim = LineHeightStyle.Trim.None)

internal val DefaultTextStyle =
    TextStyle.Default.copy(
        platformStyle = defaultPlatformTextStyle(),
        lineHeightStyle = DefaultLineHeightStyle,
    )
